Skip to main content
POST
Create Agent

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required

Query Parameters

source_target_kind
string
target_branch_id
string<uuid> | null

Body

application/json
id
string
required

Unique identifier for the record.

Required string length: 1 - 128
Pattern: ^[a-zA-Z0-9_-]+$
name
string
required
Minimum string length: 1
system_prompt
string
required
Minimum string length: 1
description
string | null
model
string | null
temperature
number | null
Required range: 0 <= x <= 2
max_steps
integer | null
Required range: x > 0
allowed_models
string[]
Minimum string length: 1
skill_ids
string[]
Minimum string length: 1
all_tools_enabled
boolean
tool_ids
string[]
Minimum string length: 1
provider_tool_ids
string[]
Minimum string length: 1
suggestions
(string | object)[]
Minimum string length: 1
avatar
object | null

Structured config details associated with this record.

avatar_url
string<uri> | null

Custom agent avatar image URL. If omitted, responses use the default Veryfront agent avatar.

security_enabled
boolean

Whether the agent default security guardrails are enabled. This is not runtime HITL approval or per-tool approval.

Response

Agent created

id
string
required
name
string
required
description
string | null
required
model
string | null
required
system_prompt
string | null
required
temperature
number | null
required
Required range: 0 <= x <= 2
max_steps
integer | null
required
Required range: x > 0
allowed_models
string[]
required
skill_ids
string[]
required
all_tools_enabled
boolean
required
tool_ids
string[]
required
provider_tool_ids
string[]
required
security_enabled
boolean | null
required

Whether the agent default security guardrails are enabled. This is not runtime HITL approval or per-tool approval.

source_path
string
required
source
string
required
edit_mode
enum<string>
required
Available options:
structured,
source_only
source_only_reasons
string[]
required
suggestions
(string | object)[]
Minimum string length: 1
avatar
object | null

Structured config details associated with this record.

avatar_url
string<uri> | null

Absolute URL for this agent avatar. Null when no custom avatar has been set.